//@ sourceURL=drug_apply.js
var pharmacyGroupNo;//药房编码
var applyDrugList = new Array();//请领药品集
$(function () {
    $('#fyClass').selectpicker('refresh');
    $("#pharmacyModal").modal("show");
    $("input").each(function (){
        this.onkeydown = function (e) { // 监听键盘事件
            let theEvent = window.event || e;
            let code = theEvent.keyCode || theEvent.which;
            if (code == 13) {//回车事件
                $("#btn_search").click(); //触发搜索按钮点击事件
            }
        }
    });
    //新增按钮点击事件
    $("#btn_add").click(function (t) {
        $("#editModal").modal();
        $("#classTitle").text("新增");
        clearInput();
        initAddDrugTable();
    });
    //保存按钮点击事件
    $("#btn_save").click(function (t) {
        var data= $('#add_drug_table').bootstrapTable('getData',true);
        if(data.length > 0){
            var ypInPlans = [] ;
            for (let i = 0; i <data.length; i++) {
                if(data[i].amount == 0 || data[i].amount == null){
                    return errorMesageSimaple('含有请领数量为0的药品');
                }
            }
            for (let i = 0; i < data.length; i++) {
                let ypInPlan = {
                    planSeri:i+1,
                    chargeCode:data[i].code,
                    serial:data[i].serial,
                    groupNo:data[i].groupNo,
                    groupYk:data[i].groupYk,
                    amount:data[i].amount
                };
                ypInPlans.push(ypInPlan);
            }
            saveDrugApply(ypInPlans);
        }
    });
    $(".selectpicker").selectpicker();
    init_daterangepicker();
    $('#reportrange span').html(moment().subtract(29, 'days').format('YYYY-MM-DD') + ' - ' + moment().format('YYYY-MM-DD'));
    //初始化药品查询弹出框
    initDrugSearchList();
    $('#searchText').on('input focus',function(e){
        showDrugPopover();
    });
    /*$('#drugSearchText').on('input propertychange',function(e){
        getYpBaseYfBound();
    });*/
    $('#btn_search').on('click',function(e){
        $("#send_refund_group").find("button").each(function (index, element) {
            if ($(element).hasClass("btn-primary")) {
                if ($(element).html().indexOf("请领") != -1) {
                    getYpInPlanPage();
                } else {
                    getYpBaseYfBound();
                }
            }
        });
    });
});

/**
 * 初始化参数
 */
function initTable() {
    pharmacyGroupNo = $("#pharmacyGroupNo").val();
    $("#pharmacyModal").modal("hide");
    getYpInPlanPage();
}
//显示查询的药品悬浮窗
function showDrugPopover() {
    $('#tb_table_medicine').bootstrapTable('destroy');
    $('#tb_table_medicine').bootstrapTable({
        url: '/thmz/getYpZdDictBase',         //请求后台的URL（*）
        method: 'GET',                      //请求方式（*）
        toolbar: '#toolbar',                //工具按钮用哪个容器
        striped: true,                      //是否显示行间隔色
        cache: true,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        pagination: false,                   //是否显示分页（*）
        sortable: true,                     //是否启用排序
        sortOrder: "asc",                   //排序方式
        queryParams:queryParamsDrugTable,           //传递参数（*）
        sidePagination: "client",           //分页方式：client客户端分页，server服务端分页（*）
        pageNumber: 1,                       //初始化加载第一页，默认第一页
        pageSize: 5,                       //每页的记录行数（*）
        pageList: [5, 10, 25, 50, 100],        //可供选择的每页的行数（*）
        search: false,                       //是否显示表格搜索，此搜索是客户端搜索，不会进服务端，所以，个人感觉意义不大
        strictSearch: true,
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "ID",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                field: 'code',
                title: '编码',
                align: "center",
                valign: 'middle'
            },{
                field: 'name',
                title: '药品名',
                align: "center",
                valign: 'middle'
            }, {
                field: 'manufactoryName',
                title: '厂家',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'specification',
                title: '规格',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'packRetprice',
                title: '单价',
                align: "center",
                valign: 'middle'
            }, {
                field: 'stockAmount',
                title: '药库库存',
                align: "center",
                valign: 'middle'
            }
        ],
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                errorMesage(res);
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }

            return {
                "total": ress.data.length,//总页数
                "rows": ress.data   //数据
            };
        },
        onClickRow: function (row, $element) {
            $('#searchText').webuiPopover('hide');
            var data= $('#add_drug_table').bootstrapTable('getData',true);
            for (let i = 0; i <data.length; i++) {
                if(data[i].code == row.code){
                    return errorMesageSimaple('该药品已存在');
                }
            }
            $('#groupYkDrugSearch').attr("disabled",true);
            getStockAmountAndDosage(row);
        }
    });
}

/**
 * 查询药品药房库存和用量统计
 */
function getStockAmountAndDosage(row){
    $.ajax({
        type: "GET",
        url: '/thmz/getStockAmountAndDosage',
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        data: {code:row.code,serial:row.serial,groupNo: pharmacyGroupNo},
        success: function (res) {
            if (res.code == 0) {
                var map=res.data;
                row.sevenDayDosage = map.sevenDayDosage;
                row.pharmacyStockAmount = map.stockAmount;
                row.groupYk = row.groupNo;
                row.groupNo = pharmacyGroupNo;
                //prepend  新增到第一行
                $('#add_drug_table').bootstrapTable('prepend', row);
            } else {
                errorMesage(res);
            }
        }
    });
}

/**
 * 保存数据
 */
function saveDrugApply(data) {
    $.ajax({
        type: "POST",
        url: '/thmz/saveDrugApply',
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        data: JSON.stringify(data),
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            if (res.code == 0) {
                $("#editModal").modal("hide");
                $('#tb_table').bootstrapTable('refresh');
                successMesage(res);
            } else {
                errorMesage(res);
            }
        }
    });

}


/**
 * 清空输入框
 */
function clearInput() {
    $("#groupYkDrugSearch").val(11);
    $("#groupYkDrugSearch").selectpicker('refresh');
    $("#searchText").val(null);
}

/**
 * 重置查询表单
 */
function resetSearch() {
    $("#statusFlagSearch").val(null);
    $("#statusFlagSearch").selectpicker('refresh');
    $("#drawNoSearch").val(null);
    $("#groupYkSearch").val(null);
    $("#groupYkSearch").selectpicker('refresh');
    $('#reportrange span').html(moment().subtract(29, 'days').format('YYYY-MM-DD') + ' - ' + moment().format('YYYY-MM-DD'));
}


/**
 * 请领记录查询列表
 */
function getYpInPlanPage() {
    $('#tb_table_inplan').bootstrapTable("destroy");
    $('#tb_table_inplan').bootstrapTable({
        url: '/thmz/getYpInPlanPage',         //请求后台的URL（*）
        method: 'post',                      //请求方式（*）
        striped: true,                      //是否显示行间隔色
        cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        pagination: true,                   //是否显示分页（*）
        sortable: true,                     //是否启用排序
        sortOrder: "desc",                   //排序方式
        queryParams: queryParams,           //传递参数（*）
        sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
        pageNumber: 1,                       //初始化加载第一页，默认第一页
        pageSize: 10,                       //每页的记录行数（*）
        pageList: [10, 15, 25, 50, 100],        //可供选择的每页的行数（*）
        search: false,                       //是否显示表格搜索，此搜索是客户端搜索，不会进服务端，所以，个人感觉意义不大
        strictSearch: true,
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "drawNo",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                title: '操作',
                field: 'op',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    var str = '<button type="button" class="registration-no-color-foot-button" title="详细" onclick="ypInPlanDetail(\'' + row.drawNo + '\')"><i class="fa fa-plus"></i></button>';
                    return str;
                }
            }, {
                field: 'drawNo',
                title: '单号',
                align: "center",
                valign: 'middle'
            }, {
                field: 'planDate',
                title: '请领日期',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return value == null ? "-" : format(value, "yyyy-MM-dd HH:mm:ss");
                }
            },
            {
                field: 'inputName',
                title: '请领人',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'statusFlag',
                title: '状态',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return value==1?'未确认':'<span style="color: green">已确认</span>'
                }
            },
            {
                field: 'confirmDate',
                title: '确认时间',
                align: "center",
                valign: 'middle',
                visible:false,
                formatter: function (value, row, index) {
                    return value == null ? "-" : format(value, "yyyy-MM-dd HH:mm:ss");
                }
            }, {
                field: 'confirmName',
                title: '确认人',
                align: "center",
                valign: 'middle',
                visible:false
            }, {
                field: 'groupNamePharmacy',
                title: '药房名称',
                align: "center",
                valign: 'middle'
            }, {
                field: 'groupName',
                title: '药库名称',
                align: "center",
                valign: 'middle'
            }
        ],
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                if (ress.message != null && ress.message != '') {
                    new PNotify({
                        title: '错误提示',
                        text: ress.message,
                        type: 'error',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }
            return {
                "total": ress.total,//总页数
                "rows": ress.data   //数据
            };
        },
    });
}


/**
 * 构建列表查询参数
 * @param params
 */
function queryParams(params) {
    var rePortRangeArr = getRePortRangeArr();
    var temp = {   //这里的键的名字和控制器的变量名必须一直，这边改动，控制器也需要改成一样的
        pageSize: params.limit,   //页面大小
        pageIndex: params.offset / params.limit,  //页码
        beginTime: rePortRangeArr[0],
        endTime: rePortRangeArr[1],
        statusFlag: $("#statusFlagSearch").val() == "" ? null : $("#statusFlagSearch").val(),
        groupYk: $("#groupYkSearch").val() == "" ? null : $("#groupYkSearch").val(),
        drawNo: $("#drawNoSearch").val() == "" ? null : $("#drawNoSearch").val(),
        groupNo: pharmacyGroupNo
    };
    return temp;
}

/**
 * 药品列表查询参数
 */
function queryParamsDrugTable() {
    var temp = {
        groupYk: $("#groupYkDrugSearch").val() == "" ? null : $("#groupYkDrugSearch").val(),
        searchText: $("#searchText").val() == "" ? null : $("#searchText").val(),
    };
    return temp;
}

/**
 * 新增药品列表
 */
var $addDrugTable;
function initAddDrugTable(drawNo) {
    var url = '';
    var visible = true;
    var pagination = false;
    $('#groupYkDrugSearch').removeAttr("disabled");
    $('#searchText').removeAttr("disabled");
    $('#btn_save').show();
    if(drawNo != null){
        url = '/thmz/getYpInPlanDrug?drawNo='+drawNo;
        visible = false;
        pagination = true;
        $('#groupYkDrugSearch').attr("disabled",true);
        $('#searchText').attr("disabled",true);
        $('#btn_save').hide();
    }
    $('#add_drug_table').bootstrapTable("destroy");
    $addDrugTable = $('#add_drug_table').bootstrapTable({
        method: 'GET',                      //请求方式（*）
        toolbar: '#toolbar',                //工具按钮用哪个容器
        striped: true,                      //是否显示行间隔色
        url:url,
        pagination: pagination,                   //是否显示分页（*）
        sidePagination: "client",           //分页方式：client客户端分页，server服务端分页（*）
        cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "drawNo",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                title: '操作',
                field: 'op',
                align: "center",
                valign: 'middle',
                visible: visible,
                formatter: function (value, row, index) {
                    var str = '<button type="button" class="registration-no-color-foot-button" title="删除" onclick="removeData(\'code\',\'' + row.code + '\')"><i class="fa fa-times"></i></button>';
                    return str;
                }
            },{
                field: 'no',
                title: '序号',
                align: "center",
                valign: 'middle',
                width: 40,
                formatter: function (value, row, index) {
                    return index + 1;
                }
            },{
                field: 'code',
                title: '编码',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return value==null?row.chargeCode:value;
                }
            }, {
                field: 'name',
                title: '药品名',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'manufactoryName',
                title: '厂家',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'specification',
                title: '规格',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'amount',
                title: '请领数量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'packRetprice',
                title: '零售价',
                align: "center",
                visible:false,
                valign: 'middle'
            }, {
                field: 'money',
                title: '金额',
                align: "center",
                visible:false,
                valign: 'middle',
                formatter: function (value, row, index) {
                    return row.amount==null?0:(row.packRetprice*row.amount).toFixed(2);
                }
            }, {
                field: 'pharmacyStockAmount',
                title: '<span style="color: green">药房库存</span>',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return '<span style="color: green">' + value.toFixed(2) + '</span>'
                }
            }, {
                field: 'stockAmount',
                title: '药库库存',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return value.toFixed(2);
                }
            }, {
                field: 'sevenDayDosage',
                title: '七天用量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'estimatedAvailableDays',
                title: '预计可用天数',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    if(value != null){
                        return value;
                    }
                    if(row.sevenDayDosage == 0 || typeof(row.amount) == 'undefined'){
                        return 0;
                    }
                    return Math.floor(row.amount/row.sevenDayDosage*7);
                }
            }
        ],
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                if (ress.message != null && ress.message != '') {
                    new PNotify({
                        title: '错误提示',
                        text: ress.message,
                        type: 'error',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }
            return {
                "total": ress.total,//总页数
                "rows": ress.data   //数据
            };
        },
        /**
         * @param {点击列的 field 名称} field
         * @param {点击列的 value 值} value
         * @param {点击列的整行数据} row
         * @param {td 元素} $element
         */
        onClickCell: function(field, value, row, $element) {
            if(field == 'amount'){
                $element.attr('contenteditable', true);
                $element.html(null);
                $element.focus();
                $element.blur(function() {
                    var index = $element.parent().data('index');
                    var tdValue = $element.html();
                    if(parseFloat(tdValue).toString() != "NaN"){
                        saveCellData($('#add_drug_table'),index, field, tdValue);
                    }else{
                        $element.html(null);
                    }
                })
            }
        }
    });
    //默认装载上下限数据
    if(applyDrugList.length > 0){
        let drugs = new Array();
        for(let i in applyDrugList){
            drugs[i] = applyDrugList[i];
            drugs[i].pharmacyStockAmount = applyDrugList[i].stockAmount;
            drugs[i].estimatedAvailableDays = applyDrugList[i].availableDay;
            drugs[i].code = applyDrugList[i].chargeCode;
            drugs[i].groupYk = $("#groupYkDrugSearch").val() == "" ? null : $("#groupYkDrugSearch").val();
        }
        $addDrugTable.bootstrapTable('load', applyDrugList);
    }
}

/**
 * 删除行数据
 * @param field
 * @param values
 */
function removeData(field, values) {
    $addDrugTable.bootstrapTable('remove', {
        field: field,       //列名
        values: values        //值数组
    });
    var data= $addDrugTable.bootstrapTable('getData',true);
    if(data.length == 0){
        $('#groupYkDrugSearch').removeAttr("disabled");
    }
}

//显示请领单详细
function ypInPlanDetail(drawNo) {
    $("#editModal").modal();
    $("#classTitle").text("查看");
    clearInput();
    initAddDrugTable(drawNo);
};

/**
 * 列表类型按钮切换事件
 * @param object
 * @param realIndex 下标
 */
function buttonChange(object, realIndex) {
    $("#send_refund_group").find("button").each(function (index, element) {
        if ($(element).hasClass("btn-primary")) {
            $(element).removeClass("btn-primary").addClass("btn-default");
        }
    });
    $(".fixed-table-pagination").css("display", "none");//隐藏分页
    if (realIndex == 0) {
        $("#drugSearchDiv").css("display", "none");
        $("#drawNoDiv").css("display", "");
        $("#reportrangeDiv").css("display", "");
        $("#statusFlagDiv").css("display", "");
        getYpInPlanPage();
        applyDrugList.splice(0,applyDrugList.length);
        $("#tb_table_bound").hide();
        $("#tb_table_inplan").show();
    } else {
        $("#drugSearchDiv").css("display", "");
        $("#drawNoDiv").css("display", "none");
        $("#reportrangeDiv").css("display", "none");
        $("#statusFlagDiv").css("display", "none");
        getYpBaseYfBound();
        $("#tb_table_inplan").hide();
        $("#tb_table_bound").show();
    }
    $(object).removeClass("btn-default").addClass("btn-primary");
}

/**
 * 药品上下限查询列表
 */
function getYpBaseYfBound() {
    $('#tb_table_bound').bootstrapTable("destroy");
    $('#tb_table_bound').bootstrapTable({
        url: '/thmz/getYpBaseYfBoundPage',         //请求后台的URL（*）
        method: 'GET',                      //请求方式（*）
        striped: true,                      //是否显示行间隔色
        cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        pagination: true,                   //是否显示分页（*）
        sortable: true,                     //是否启用排序
        sortOrder: "desc",                   //排序方式
        queryParams: function(params){
            return {
                groupNo: pharmacyGroupNo,
                searchText: $("#drugSearchText").val(),
                pageSize: params.limit,//页面大小
                pageIndex: params.offset / params.limit  //页码
            }
        },           //传递参数（*）
        sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
        pageNumber: 1,                       //初始化加载第一页，默认第一页
        pageSize: 10,                       //每页的记录行数（*）
        pageList: [10, 15, 25, 50, 100],        //可供选择的每页的行数（*）
        search: false,                       //是否显示表格搜索，此搜索是客户端搜索，不会进服务端，所以，个人感觉意义不大
        strictSearch: true,
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        singleSelect: false,           // 单选checkbox
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "drawNo",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                field: 'checked',
                checkbox: true,
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    for(var i in applyDrugList){
                        if(applyDrugList[i].chargeCode==row.chargeCode && applyDrugList[i].serial==row.serial){
                            return {
                                checked: true//设置选中
                            };
                        }
                    }
                }
            },{
                field: 'no',
                title: '序号',
                align: "center",
                valign: 'middle',
                width: 40,
                formatter: function (value, row, index) {
                    return index + 1;
                }
            }, {
                field: 'chargeCode',
                title: '药品编码',
                align: "center",
                valign: 'middle'
            }, {
                field: 'name',
                title: '药品名称',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'specification',
                title: '规格',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'maxStockAmount',
                title: '库存上限',
                align: "center",
                valign: 'middle'
            },
            {
                field: 'miniStockAmount',
                title: '库存下限',
                align: "center",
                valign: 'middle'
            }, {
                field: 'stockAmount',
                title: '药房库存',
                align: "center",
                valign: 'middle'
            }, {
                field: 'stockAmountYk',
                title: '药库库存',
                align: "center",
                valign: 'middle'
            }, {
                field: 'manufactoryName',
                title: '制药厂',
                align: "center",
                valign: 'middle'
            }, {
                field: 'sevenDayDosage',
                title: '7天用量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'fourteenDayDosage',
                title: '14天用量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'thirtyDayDosage',
                title: '30天用量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'sixtyDayDosage',
                title: '60天用量',
                align: "center",
                valign: 'middle'
            }, {
                field: 'availableDay',
                title: '预计可用天数',
                align: "center",
                valign: 'middle'
            }
        ],
        rowStyle: function (row, index) {
            if (row.miniStockAmount != null && row.miniStockAmount >= row.stockAmount) {
                return { css: { 'background-color': 'yellow' } };
            }
            return {css:{}}
        },
        //点击行时触发的操作
        onClickRow:function(row, $element, field) {
            let flag = 1;
            for(var i = 0; i < applyDrugList.length; i++){
                if(applyDrugList[i].chargeCode==row.chargeCode && applyDrugList[i].serial==row.serial){
                    if(!$element.hasClass('selected')){
                        flag = 0;
                        break
                    }else{
                        applyDrugList.splice(i,1);
                        break
                    }
                }
            }
            if(!$element.hasClass('selected') && flag == 1){
                applyDrugList.push(row);
            }
        },
        //点击全选框时触发的操作
        onCheckAll:function(rows){
            for(var j in rows) {
                let flag = 1;
                for (var i = 0; i < applyDrugList.length; i++) {
                    if (applyDrugList[i].chargeCode == rows[j].chargeCode && applyDrugList[i].serial == rows[j].serial) {
                        flag = 0;
                        break
                    }
                }
                if(flag == 1){
                    applyDrugList.push(rows[j]);
                }
            }
        },
        //取消所有
        onUncheckAll: function (rows) {
            for(var j in rows) {
                for(var i = 0; i < applyDrugList.length; i++){
                    if(applyDrugList[i].chargeCode==rows[j].chargeCode && applyDrugList[i].serial==rows[j].serial){
                        applyDrugList.splice(i,1);
                        break
                    }
                }
            }
        },
        //点击每一个单选框时触发的操作
        onCheck:function(row){
            let flag = 1;
            for(var i = 0; i < applyDrugList.length; i++){
                if(applyDrugList[i].chargeCode==row.chargeCode && applyDrugList[i].serial==row.serial){
                        flag = 0;
                        break
                }
            }
            if(flag == 1){
                applyDrugList.push(row);
            }
        },
        //取消每一个单选框时对应的操作；
        onUncheck:function(row){
            for(var i = 0; i < applyDrugList.length; i++){
                if(applyDrugList[i].chargeCode==row.chargeCode && applyDrugList[i].serial==row.serial){
                    applyDrugList.splice(i,1);
                    break
                }
            }
        },
        onClickCell: function(field, value, row, $element) {
            if(field == 'maxStockAmount' || field == 'miniStockAmount'){
                $element.attr('contenteditable', true);
                $element.html(null);
                $element.focus();
                $element.blur(function(a,b,c) {
                    var index = $element.parent().data('index');
                    var tdValue = $element.html();
                    if(parseFloat(tdValue).toString() != "NaN"){
                        $('#tb_table_bound').bootstrapTable('updateCell', {
                            index: index,       //行索引
                            field: field,       //列名
                            value: tdValue        //cell值
                        });
                        var rowData = $("#tb_table_bound").bootstrapTable('getData')[index];
                        modifMaxMiniStockAmount(rowData.chargeCode,rowData.serial,rowData.maxStockAmount,rowData.miniStockAmount);
                    }else{
                        $element.html(null);
                    }
                })
            }
        },
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                if (ress.message != null && ress.message != '') {
                    new PNotify({
                        title: '错误提示',
                        text: ress.message,
                        type: 'error',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }
            return {
                "total": ress.total,//总页数
                "rows": ress.data   //数据
            };
        },
    });
}

/**
 * 修改药品上下限
 * @param chargeCode
 * @param serial
 * @param maxStockAmount
 * @param miniStockAmount
 */
function modifMaxMiniStockAmount(chargeCode,serial,maxStockAmount,miniStockAmount){
    let data = {
        chargeCode:chargeCode,
        serial:serial,
        maxStockAmount:maxStockAmount,
        miniStockAmount:miniStockAmount,
        groupNo:pharmacyGroupNo
    }
    $.ajax({
        type: "POST",
        url: '/thmz/modifMaxMiniStockAmount',
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        data: JSON.stringify(data),
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            if (res.code != 0) {
                errorMesage(res);
            }
        }
    });
}